Bug 1995325 - Projects page fails to render due to calling more hooks than previous render
Summary: Projects page fails to render due to calling more hooks than previous render
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Yadan Pei
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-18 20:04 UTC by Rastislav Wagner
Modified: 2021-10-18 17:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
projects loading (2.74 MB, video/quicktime)
2021-08-24 07:39 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9831 0 None None None 2021-08-18 20:05:42 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:38 UTC

Description Rastislav Wagner 2021-08-18 20:04:51 UTC
Description of problem:
useMemo hook is placed after conditional return statement which may cause react errors


How reproducible:
always

Steps to Reproduce:
1. go to Projects page
2. refresh browser tab

Actual results:
rendering fails with Rendered more hooks than during the previous render.


Expected results:
rendering is successful

Comment 3 Yadan Pei 2021-08-24 07:39:23 UTC
Created attachment 1817058 [details]
projects loading

goes to Projects page and refresh browser tab, rendering is successful. See recording in attachment, verified on 4.9.0-0.nightly-2021-08-23-175356

Comment 6 errata-xmlrpc 2021-10-18 17:47:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.